/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MappingResolver.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.xmlconfig.ns;

import org.ow2.util.xml.SchemaEntityResolver;

/**
 * Entity resolver allowing to find schema within the classloader.
 * @author Florent Benoit
 */
public class MappingResolver extends SchemaEntityResolver {

    /**
     * Schema prefix.
     */
    public static final String PREFIX = MappingResolver.class.getPackage().getName().replace(".", "/") + "/";

    /**
     * Persistence Schema.
     */
    public static final String MAPPING_SCHEMA_10 = "xmlconfig-mapping_1_0.xsd";

    /**
     * Constructor.
     */
    public MappingResolver() {
        super(new String[] {PREFIX + MAPPING_SCHEMA_10});
    }
}
